EventConfig
EventConfig::__construct
EventConfig
PHP Manual

# EventConfig::avoidMethod

(PECL event >= 1.2.6-beta)

EventConfig::avoidMethod — Demande à libevent d'ignorer une méthode d'événement spécifique

### Description

public bool EventConfig::avoidMethod ( int `$method` )

Demande à libevent d'ignorer une méthode d'événement spécifique. Voir la » création d'un événement de base.

### Liste de paramètres

`method`

  La méthode à ignorer. Voir les constantes EventConfig.

### Valeurs de retour

Retourne `TRUE` en cas de succès, `FALSE` sinon.

### Exemples

Exemple #1 Exemple avec EventConfig::avoidMethod()

`<?php
$cfg = new EventConfig();
if ($cfg->avoidMethod("select")) {
echo "Méthode `select' ignorée\n";
}
?>`

### Voir aussi

- EventBase::__construct() - Construit un objet EventBase

EventConfig
EventConfig::__construct
EventConfig
PHP Manual